Skip to main content
GET
/
beacon
/
validators
/
rewards
/
index
/
{index}
Validator Rewards by Index
curl --request GET \
  --url https://api.octav.fi/v1/beacon/validators/rewards/index/{index} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.octav.fi/v1/beacon/validators/rewards/index/{index}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.octav.fi/v1/beacon/validators/rewards/index/{index}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "epochStart": 123,
      "epochEnd": 123,
      "timestampStart": 123,
      "timestampEnd": 123,
      "dateStart": "<string>",
      "dateEnd": "<string>",
      "consensusReward": "<string>",
      "consensusPotentialReward": "<string>",
      "consensusEfficiency": 123,
      "executionReward": "<string>",
      "attestationsIncluded": 123,
      "attestationsMissed": 123,
      "syncParticipations": 123,
      "syncMissed": 123,
      "proposedBlocks": 123,
      "missedBlocks": 123,
      "mevBlocks": 123,
      "endEffectiveBalance": "<string>"
    }
  ],
  "offset": 123,
  "limit": 123,
  "totalRows": 123,
  "pages": 123
}
{
"error": "<string>"
}
{
"message": "Unauthorized"
}
{
"error": "Beacon access requires enterprise subscription. Contact sales."
}
{
"error": "Validator not found for index 99999999"
}
"Error fetching validator details"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

index
integer
required

Non-negative validator index

Required range: x >= 0

Query Parameters

rangeType
enum<string>
required

Determines how rangeFrom/rangeTo are interpreted. timestamp = Unix seconds (max range 31,536,000 s); epoch = beacon epoch numbers (max range 82,125 epochs).

Available options:
timestamp,
epoch
rangeFrom
integer
required

Start of the range (inclusive). Must be ≥ 0 and ≤ rangeTo. Interpreted per rangeType.

Required range: x >= 0
rangeTo
integer
required

End of the range (inclusive). Must be ≥ 0. Interpreted per rangeType.

Required range: x >= 0
granularity
enum<string>
required

Bucket size for aggregation.

Available options:
epoch,
day,
week,
month
offset
number
default:0

Pagination offset.

limit
number
default:10

Number of records to return. Max 10.

Required range: x <= 10

Response

Paginated validator rewards

data
object[]
offset
number

Current pagination offset

limit
number

Records per page

totalRows
number

Total number of matching buckets

pages
number

Total number of pages